{
  "display": {
    "icon": {
      "id": "minecraft:ender_pearl"
    },
    "title": "Swapper",
    "description": "A skeleton that swaps places with you when you get hit by it",
    "show_toast": false,
    "announce_to_chat": false,
    "hidden": true
  },
  "parent": "survivalplus:tips/skeleton_commando",
  "criteria": {
    "skeletons": {
      "trigger": "minecraft:player_killed_entity",
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:skeleton",
              "nbt": "{Tags:[swapper_mage]}"
            }
          }
        ]
      }
    }
  }
}
